#!/bin/sh
# Never ever curl some remote shit straight to shell, like:
# curl --proto '=https' --tlsv1.2 -sSf https://inex.dev/v/dotfiles/raw/branch/main/install_base.sh | sh
# - Seriously, don't do this, it's insecure!

# Pacman packages
sudo pacman --needed --noconfirm -Syu base-devel htop ranger git screen ncdu neovim pipewire sway swaybg xorg-server xorg-xwayland chezmoi foot

# Install Paru
if pacman -Qs paru > /dev/null ; then
  echo "'Paru' already installed."
else
  git clone https://aur.archlinux.org/paru-bin.git
  cd paru-bin/
  makepkg --needed --noconfirm -si
  cd ..
  rm -rf paru-bin/
fi

# AUR Packages
paru --needed --noconfirm -Syu paru-bin
